#include<iostream>
#include<cstring>
using namespace std;
int main()
{
    char a[100000];
    int br,n,i;
    cin.getline(a,10000);
    cin>>n;
    br=strlen(a);

    for(i=0;i<br;i++){

        if(('a'<a[i]&&a[i]<'z')||('A'<a[i]&&a[i]<'Z')){
            a[i]-=n;

        }
    }
    cout<<a;
}
